clear;
echo on;
%*************************************************
%	Linearis rendszer allapottrajektoriaianak
%	     es allapotvaltozoinak szamitasa
%                	lr.m fail
%	               dx/dt=Aa*x
%	               dx/dt=Ab*x
%*************************************************
%=================================================
% A parametermatrixok alapertelmezese
% Az allapotmatrix: a)rendszer allapotmatrixa: Aa;
%                   b)rendszer allapotmatrixa: Ab;
Aa=[-.2 2 0;-2 -.2 0;0 0 -.25];
Ab=[-3 0 0;0 -.2 0;0 0 -1];
b=[0 0 0]';c=[0 0 0];d=0;
%=================================================
% Az allapotmatrixok bevitele
% es sajatertekeinek szamitasa
Aa=input('Aa=');Ab=input('Ab=');
pAa=eig(Aa)
pAb=eig(Ab)
%=================================================
% Azidointervallum es a kezdeti feltetelek
t=0:.01:25;xo=[10 20 30];% Alapertelmezes
%=================================================
t=input('t=');xo=input('xo=');
%=================================================
%Az a) es b) rendszerek sajatmozgasai
[ya,xa,t]=initial(Aa,b,c,d,xo,t);
[yb,xb,t]=initial(Ab,b,c,d,xo,t);
%=================================================
% Az allapottrajektoriak abrazolasa 
plot3(xa(:,1),xa(:,2),xa(:,3));hold;
plot3(xb(:,1),xb(:,2),xb(:,3));grid;
title('Az allapottrajektoriak');
xlabel('xl');ylabel('x2');zlabel('x3');pause;clg;
%=================================================
% Az a) es b) rendszerek allapotvaltozoi
plot(t,xa(:,1),t,xa(:,2),t,xa(:,3));grid;
title('Az xa allapotvaltozok');xlabel('ido');pause;
plot(t,xb(:,1),t,xb(:,2),t,xb(:,3));grid;
title('Az xb allapotvaltozok');xlabel('ido');pause;
%=================================================
disp('vege')
%*************************************************