clear;
echo on;
%********************************************************
%	Harmadrendu nemlinearis rendszer allapottrajektoriai
%	                  nrl.m fajl
%	          dxl/dt=x2
%	          dx2/dt=-xl(l+xl)+x2(l/lO-lOx2^2/3)
%	          dx3/dt=-x3/5
%	     (A program hasznalja az fnrl.m fajlt)
%********************************************************
%========================================================
tv=30;xo=[-.9 0 5]; % Alapertelmezes
tv=input('tv=');
xo=input('xo=');
[t,x]=ode45('fnr1',0,tv,xo);
plot3(x(:,1),x(:,2),x(:,3));grid;
title('Az allapottrajektoria');
xlabel('x1');ylabel('x2');zlabel('x3');pause;
plot(t,x);grid;
title('Az allapotvaltozok idofuggvenyei');
xlabel('ido');ylabel('x1,x2,x3');pause;
xoa=[-.9 0 5];xob=[2 -1 5];xoc=[-1.1 0 5];
[t,xa]=ode45('fnr1',0,30,xoa);
[t,xb]=ode45('fnr1',0,30,xob);
[t,xc]=ode45('fnr1',0,5,xoc);
plot3(xa(:,1),xa(:,2),xa(:,3));hold;
plot3(xb(:,1),xb(:,2),xb(:,3));
plot3(xc(:,1),xc(:,2),xc(:,3));grid
title('Az allapottrajektoriak');pause;clg;
%========================================================
% Globalis vizsgalat
xoa=[-1.5 .7245 0];xob=[-.5 -.4754 0];
xoc=[-.6 0 0];xod=[.05 0 0];
xoe=[-1.2 .18 0];xof=[-.8 -.2 0];
xog=[-1.2 .6 0];
[t,xa]=ode45('fnr1',0,50,xoa);
[t,xb]=ode45('fnr1',0,5,xob);
[t,xc]=ode45('fnr1',0,2,xoc);
[t,xd]=ode45('fnr1',0,10,xod);
[t,xe]=ode45('fnr1',0,3,xoe);
[t,xf]=ode45('fnr1',0,4,xof);
[t,xg]=ode45('fnr1',0,2,xog);
plot(xa(:,1),xa(:,2));hold;
plot(xb(:,1),xb(:,2));plot(xc(:,1),xc(:,2));
plot(xd(:,1),xd(:,2));plot(xe(:,1),xe(:,2));
plot(xf(:,1),xf(:,2));plot(xg(:,1),xg(:,2));
title('Az xl-x2 sik stabilis es labilis tartomanyai');
xlabel('xl');ylabel('x2');grid;pause;clg;
%========================================================
disp('vege');
%********************************************************
% fnrl.m fajl:
%	function xd=fnr1(t,x)
%	xd(l)=x(2);
%	xd(2)=-x(l).*(1+x(1))+x(2).*(.1-10*x(2).^2/3);
%	xd(3)=-x(3)/5;
% simulink fajl: nrls.m
%========================================================