clear;
echo on;
%*************************************************
%	A Van der Pol oszcillator vizsgalata
%	          vanpol.m fajl
%	       dxl/dt=xl(1-x2^2)-x2
%	       dx2/dt=xl
%	(A program hasznalja a vdpol.m tajlt)
%*************************************************
%=================================================
[t,x]=ode45('vdpol',0,20,[-5 1]);
plot(x(:,1),x(:,2));hold;
[t,x]=ode45('vdpol',0,20,[0 1]);
plot(x(:,1),x(:,2));
[t,x]=ode45('vdpol',0,20,[0 -1]);
plot(x(:,1),x(:,2));
[t,x]=ode45('vdpol',0,20,[5 -1]);
plot(x(:,1),x(:,2));grid;
title('A Van der Pol oszcillator attraktora');
xlabel('xl');ylabel('x2');pause;clg;
plot(t,x);grid;
title('Az allapotvaltozok idofuggvenyei');
xlabel('ido');ylabel('xi,x2');pause;
%=================================================
disp('vege');
%*************************************************
% vdpol.m fajl:
%	function xd=vdpol(t,x)
%	xd(1)=x(1).*(1-x(2).^2)-x(2);
%	xd(2)=x(1);
% Simulink fajl: vanpols.m
%=================================================