clear;
echo on;
%*********************************************************
% A kaos demonstracioja a Lorenz allapotegyenlet alapjan 
%	kaos.m fajl
%	dxl/dt=10*(-xl+x2)
%	dx2/dt=-xl*x3+28x1-x2
%	dx3/dt= xl*x2-B*x3/3
%	(A program hasznalja a lorenzl.m fajlt)
% Alapadatok to=0;tv=10; xo=[0 0 30];
%*********************************************************
%=========================================================
%Alapadatok
to=0;tv=10;
xo=[0 0 30]';
%============================
tv=input('tv=');
xo=input('xo=');%pl:xo=[l 2 3]'
%============================
% A Lorenz egyenlet megoldasa
[t,x]=ode45('lorenz1',to,tv,xo);
%============================
% Az allapottrajektoria
plot3(x(:,1),x(:,2),x(:,3));grid;
title('Lorenz attraktor');
xlabel('x1');ylabel('x2');zlabel('x3');pause;
plot(x(:,1),x(:,2));grid;
xlabel('x1');ylabel('x2');pause;
plot(x(:,1),x(:,3));grid;
xlabel('x1');ylabel('x3');pause;
plot(x(:,2),x(:,3));grid;
xlabel('x2');ylabel('x3');pause;
%============================
% Az allapotvaltozok idofuggvenyei
plot(t,x(:,1),t,x(:,2),t,x(:,3));grid;
title('A Lorenz differencialegyenlet allapotvaltozoi');
xlabel('ido');ylabel('x1,x2,x3');pause;
%=========================================================
disp('vege');
%*********************************************************
% A lorenzl.mfajl:
%	function x1=lorenzl(t,x)
%	xl(1)=10*(x(2)-x(1));
%	xl(2)=-x(1).*x(3)+28*x(1)-x(2);
%	xl(3)=x(1).*x(2)-8*x(3)/3; 
% Simulink fajl: kaoss.m
%=========================================================