clear;
echo on;
%Masodrendu nemlinearis rendszer allapottrajektoriai
%                     nr.m fajl
%               dx1/dt=  -x1       +x2
%               dx2/dt=10*x1^3-9*x1-x2
%          A program hasznalja az fnr.m fajlt
%====================================================
%====================================================
%Alapbeallitasok
to=0;tv=5;
xo=[-1.2 1.2];
%==================================
tv=input('tv=');
xo=input('xo=');
%==================================
%Az allapotegyenlet megoldasa
[t,x]=ode45('fnr',to,tv,xo);
%==================================
%Az allapottrajektoria abrazolasa
plot(x(:,1),x(:,2));grid;
title('Az allapottrajektoria');
xlabel('x1');ylabel('x2');pause;
%==================================
%Az allapotvaltozok idofuggvenyei
plot(t,x(:,1),t,x(:,2));grid;
title('Az allapotvaltozok');
xlabel('ido');ylabel('x1,x2');pause
%==================================
%Az f1(x1,x2)=0;f2(x1,x2)=0
%fuggvenyek es a trajektoria
%abrazolasa (-1.25<x1<1.25)
x1=-1.25:.1:1.25;x2=x1;
plot(x1,x2);hold;
plot(x1,10*(x1.^3)-9*x1);grid;pause;
plot(x(:,1),x(:,2));
title('Az f1=0;f2=0 fuggvenyek es a trajektoria');
xlabel('x1');ylabel('x2');pause;clg;
%==================================
%A szeparatrix szamitasa
[t,x]=ode45('fnr',0,1,[-2 7.965]);
plot(x(:,1),x(:,2));hold;
[t,x]=ode45('fnr',0,1,[2 -7.965]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,1,[-2 5.677]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,1,[2 -5.675]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,1,[0 4]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,1,[0 -4]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,.5,[-1.5 1]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,.5,[1.5 -1]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,5,[-1.5 4]);
plot(x(:,1),x(:,2));
[t,x]=ode45('fnr',0,5,[1.5 -4]);
plot(x(:,1),x(:,2));grid;
plot(x1,x2);plot(x1,10*x1.^3-9*x1);
title('Az allapotsik stabilis es labilis tartomanyai');
xlabel('x1');ylabel('x2');pause;clg
%==================================
disp('vege')
%==================================
%Az fnr.m fajl:   function xd=fnr(t,x)
%                   xd(1)=-x(1)+x(2);
%                   xd(2)=10*x(1).^3-9*x(1)-x(2);    